Subject: Re: [PATCH] dt-bindings: net: dsa: realtek-smi: convert to YAML schema

From: Rob Herring <[email-masked]>
Date: Mon, 10 Jan 2022 12:09:15 -0600

On Tue, Jan 04, 2022 at 08:44:37PM -0300, Luiz Angelo Daros de Luca wrote:
> Thanks Linus!
> 
> > > +    description: |
> > > +      realtek,rtl8365mb: 4+1 ports
> > > +      realtek,rtl8366:
> > > +      realtek,rtl8366rb:
> 

Why have you removed Linus' comment?

> There is some confusion with the n+m port description. Some 4+1 means
> 4 lan + 1 wan while in other cases it means 4 user + 1 ext port, even
> in Realtek documentation. The last digit in realtek product numbers is
> the port number (0 means 10) and it is the sum of user ports and
> external ports. From what I investigated, the last digit numbers
> normally mean:
> 
> 3: 2 user + 1 ext port
> 4: 2 user + 2 ext port
> 5: 4 user + 1 ext port
> 6: 5 user + 1 ext port
> 7: 5 user + 2 ext port
> 0: 8 user + 2 ext port.
> 
> The description in YAML was from the TXT version but it is a good time
> to improve it.
> 
> BTW, I couldn't find a datasheet for rtl8366rb. The commit message
> says it is from a DIR-685 but wikidevi days that device has a
> RTL8366SR, which is described as "SINGLE-CHIP 5+1-PORT 10/100/1000
> MBPS SWITCH CONTROLLER WITH DUAL MAC INTERFACES".
> 
> Do you have any suggestions?

I think Linus just meant to add spaces around the '+'.

Rob